<?php
    /*
    * Project:     Clan Stat
    * License:     Creative Commons - Attribution-Noncommercial-Share Alike 3.0 Unported
    * Link:        http://creativecommons.org/licenses/by-nc-sa/3.0/
    * -----------------------------------------------------------------------
    * Began:       2011
    * Date:        $Date: 2013-10-20 00:00:00 +0200 $
    * -----------------------------------------------------------------------
    * @author      $Author: Edd, Exinaus, SHW  $
    * @copyright   2011-2012 Edd - Aleksandr Ustinov
    * @link        http://wot-news.com
    * @package     Clan Stat
    * @version     $Rev: 3.0.0 $
    *
    */

function eff_rating_result($res) {
    $eff_result = array();
	$arr_v = array('all', 'clan', 'company');
    $arr_r = array('xp', 'damage_dealt', 'wins', 'frags', 'spotted', 'dropped_capture_points', 'capture_points');
    foreach($res as $name => $val){
        $per_stat = $val['data'];
        if (isset($per_stat['statistics']['all']['battles']) && isset($per_stat['statistics']['clan']['battles']) && isset($per_stat['statistics']['company']['battles']) &&
        (($per_stat['statistics']['all']['battles'] - $per_stat['statistics']['clan']['battles'] - $per_stat['statistics']['company']['battles']) != 0 ) &&
        ($per_stat['statistics']['all']['battles'] != 0) ) {
            $eff_result[$name] = array();
			foreach ($arr_v as $v_arr) {
				$effbrone[$v_arr]['battles'] = $per_stat['statistics'][$v_arr]['battles'];
				if ($effbrone[$v_arr]['battles']==0) $effbrone[$v_arr]['battles']=1/100000;
				foreach ($arr_r as $valarr) {
					$effbrone[$v_arr][$valarr]  = $per_stat['statistics'][$v_arr][$valarr]/$effbrone[$v_arr]['battles'];
                }
				$eff_result[$name][$v_arr]['brone'] = round((log($effbrone[$v_arr]['battles'])/10)*(($effbrone[$v_arr]['xp']*1)+($effbrone[$v_arr]['damage_dealt']*($effbrone[$v_arr]['wins']*2+$effbrone[$v_arr]['frags']*0.9+$effbrone[$v_arr]['spotted']*0.5+$effbrone[$v_arr]['dropped_capture_points']*0.5+$effbrone[$v_arr]['capture_points']*0.5))),0);
			}
        }   else {
            $eff_result[$name]['all']['brone'] = 0;
			$eff_result[$name]['clan']['brone'] = 0;
			$eff_result[$name]['company']['brone'] = 0;
        }
    }
    return $eff_result;
};
function eff_color_result ($ret){
	switch ($ret+1) {
            case ($ret > 7296.96):
            $color_brone = '#FF8000';
            break;
            case ($ret > 5570.97):
            $color_brone = 'purple';
            break;
            case ($ret > 3849.62):
            $color_brone = 'royalblue';
            break;
            case ($ret > 2733.38):
            $color_brone = 'green';
            break;
            case ($ret > 2080.77):
            $color_brone = 'slategray';
            break;
            default:
            $color_brone = 'red';
            break;
            }
	return $color_brone;
}
$eff_result = eff_rating_result($res);
?>
<script>
$(document).ready(function() {
	$( "#trigger_active" ).buttonset();
    $( "#triggerperform_all" ).buttonset();
    $( "#triggerperform_clan" ).buttonset();
	$( "#triggerperform_company" ).buttonset();
	$(".t_all").show();
	$(".qall").show();
	$(".t_clan")
		.add(".t_company")
		.add(".wall")
		.add(".qclan")
		.add(".wclan")
		.add(".qcompany")
		.add(".wcompany").hide();
	$("#change_all_active").click(function() {
		$(".t_all").show();
		$(".qall").show();
		$(".t_clan")
			.add(".t_company")
			.add(".wall")
			.add(".qclan")
			.add(".wclan")
			.add(".qcompany")
			.add(".wcompany").hide();
	});
	$("#change_clan_active").click(function() {
		$(".t_clan").show();
		$(".qclan").show();
		$(".t_company")
			.add(".t_all")
			.add(".qall")
			.add(".wclan")
			.add(".wall")
			.add(".qcompany")
			.add(".wcompany").hide();
	});
	$("#change_company_active").click(function() {
		$(".t_company").show();
		$(".qcompany").show();
		$(".t_all")
			.add(".t_clan")
			.add(".qall")
			.add(".qclan")
			.add(".wclan")
			.add(".wcompany")
			.add(".wall").hide();
	});
	$("#change_button_fullshow_all").click(function() {
		$(".wall").show();
		$(".qall")
			.add(".qclan")
			.add(".wclan")
			.add(".qcompany")
			.add(".wcompany").hide();
	});
	$("#change_button_averageshow_all").click(function() {
		$(".qall").show();
		$(".wall")
			.add(".qclan")
			.add(".wclan")
			.add(".qcompany")
			.add(".wcompany").hide();
	});
	$("#change_button_fullshow_clan").click(function() {
		$(".wclan").show();
		$(".qall")
			.add(".qclan")
			.add(".wall")
			.add(".qcompany")
			.add(".wcompany").hide();
	});
	$("#change_button_averageshow_clan").click(function() {
		$(".qclan").show();
		$(".wall")
			.add(".qall")
			.add(".wclan")
			.add(".qcompany")
			.add(".wcompany").hide();
	});
	$("#change_button_fullshow_company").click(function() {
		$(".wcompany").show();
		$(".qall")
			.add(".qclan")
			.add(".wclan")
			.add(".qcompany")
			.add(".wall").hide();
	});
	$("#change_button_averageshow_company").click(function() {
		$(".qcompany").show();
		$(".wall")
			.add(".qclan")
			.add(".wclan")
			.add(".qall")
			.add(".wcompany").hide();
	});
});
</script>
<div align="center">
  <form>
    <div id="trigger_active" align="center">
        <input type="radio" id="change_all_active" name="trigger_active" checked="checked" /><label for="change_all_active"><?=$lang['a_cat_1'];?></label>
        <input type="radio" id="change_clan_active" name="trigger_active" /><label for="change_clan_active"><?=$lang['a_cat_2'];?></label>
        <input type="radio" id="change_company_active" name="trigger_active" /><label for="change_company_active"><?=$lang['a_cat_3'];?></label>
    </div>
  </form>
</div>
<div align="center">
<form class="t_all">
    <div id="triggerperform_all" align="center" class="table-id-<?=$key;?> ">
        <input type="radio" id="change_button_fullshow_all" name="triggerperform_all"  /><label for="change_button_fullshow_all"><?=$lang['show_full_perform'];?></label>
        <input type="radio" id="change_button_averageshow_all" name="triggerperform_all" checked="checked"/><label for="change_button_averageshow_all"><?=$lang['show_average_perform'];?></label>
    </div>
</form>
<form class="t_clan">
    <div id="triggerperform_clan" align="center" class="table-id-<?=$key;?>">
        <input type="radio" id="change_button_fullshow_clan" name="triggerperform_clan"  /><label for="change_button_fullshow_clan"><?=$lang['show_full_perform'];?></label>
        <input type="radio" id="change_button_averageshow_clan" name="triggerperform_clan" checked="checked"/><label for="change_button_averageshow_clan"><?=$lang['show_average_perform'];?></label>
    </div>
</form>
<form class="t_company">
    <div id="triggerperform_company" align="center" class="table-id-<?=$key;?>">
        <input type="radio" id="change_button_fullshow_company" name="triggerperform_company"  /><label for="change_button_fullshow_company"><?=$lang['show_full_perform'];?></label>
        <input type="radio" id="change_button_averageshow_company" name="triggerperform_company" checked="checked"/><label for="change_button_averageshow_company"><?=$lang['show_average_perform'];?></label>
    </div>
</form>
    <table id="perform_all_n" width="100%" cellspacing="1" class="table-id-<?=$key;?>">
        <thead>
            <tr>
				<th> </th>
                <?php echo '<th>'.$lang['name'].'</th>';
                $perform = array ('battles','brone', 'wins',  'losses', 'draws', 'survived_battles', 'battle_avg_xp', 'xp', 'frags', 'spotted', 'damage_dealt', 'damage_received', 'hits_percents', 'capture_points', 'dropped_capture_points');
 				$chang = array ('all', 'clan', 'company');
				foreach($perform as $cat){ 
                    foreach ($chang as $cat1) { ?>
						<?php if(($cat == 'battles')||($cat =='hits_percents')) { ?>
                            <th class='q<?=$cat1?> '><?=$lang['all_'.$cat];?></th>
							<th class='w<?=$cat1?> '><?=$lang['all_'.$cat];?></th>
						<? } elseif(($cat == 'wins')||($cat == 'losses')||($cat == 'draws')||($cat=='survived_battles')){ ?>
                            <th class='q<?=$cat1?>'><?=$lang['all_'.$cat];?></th>
                            <th class='w<?=$cat1?>'><?=$lang['all_'.$cat];?></th>
						<?php }elseif ($cat == 'xp') {  ?>
                            <th class='w<?=$cat1?>'><?=$lang['all_'.$cat];?></th>
						<?php }elseif ($cat == 'battle_avg_xp') {  ?>
							<th class='q<?=$cat1?>'><?=$lang['all_'.$cat];?></th>
						<?php }elseif ($cat == 'brone') {  ?>
							<th class='q<?=$cat1?>'><?=$lang['brone_ret']?></th>
							<th class='w<?=$cat1?>'><?=$lang['brone_ret']?></th>
						<?php }else {  ?>
							<th class='q<?=$cat1?>'><?=$lang['all_'.$cat];?></th>
                            <th class='w<?=$cat1?>'><?=$lang['all_'.$cat];?></th>
						<?php }}} ?>
            </tr>  
        </thead>
        <tbody>
            <?php foreach($res as $name => $val){  ?>
                <tr> 
					<td> </td>
                    <td><a href="<?php echo $config['base'],$name,'/'; ?>" target="_blank"><?=$name; ?></a></td>
                    <?php foreach($perform as $cat){ 
							foreach ($chang as $cat1) {?>
                        <?php if(($cat == 'battles')||($cat =='hits_percents')) { ?>
                            <td class='q<?=$cat1?>'>
                            <?php echo $val['data']['statistics'][$cat1][$cat]; ?>
                            </td>
							<td class='w<?=$cat1?>'>
                            <?php echo $val['data']['statistics'][$cat1][$cat]; ?>
                            </td>
						<?php } elseif($cat == 'brone') { ?>
                            <td class='q<?=$cat1?>'>
                            <font color=<?=eff_color_result($eff_result[$name][$cat1]['brone']);?>><?php echo $eff_result[$name][$cat1]['brone']; ?></font>
                            </td>
							<td class='w<?=$cat1?>'>
                            <font color=<?=eff_color_result($eff_result[$name][$cat1]['brone']);?>><?php echo $eff_result[$name][$cat1]['brone']; ?></font>
                            </td>
						<?php } elseif($cat == 'xp'){ ?>
							<td class='w<?=$cat1?>'>
                            <?php echo $val['data']['statistics'][$cat1][$cat]; ?>
                            </td>
						<?php } elseif($cat == 'battle_avg_xp'){ ?>
							<td class='q<?=$cat1?>'>
                            <?php echo $val['data']['statistics'][$cat1][$cat]; ?>
                            </td>
						<?php } elseif(($cat == 'wins')||($cat == 'losses')||($cat == 'draws')||($cat=='survived_battles')){ ?>
							<td class='q<?=$cat1?>'>
                            <? if($val['data']['statistics'][$cat1]['battles'] > 0) { echo round($val['data']['statistics'][$cat1][$cat]/$val['data']['statistics'][$cat1]['battles']*100,2), '%'; } else { echo '0'; } ?>
                            </td>
                            <td class='w<?=$cat1?>'>
                            <?php echo $val['data']['statistics'][$cat1][$cat]; ?>
                            </td>
                        <?php } else { ?>
                            <td class='q<?=$cat1?>'>
                            <? if($val['data']['statistics'][$cat1]['battles'] > 0) { echo round($val['data']['statistics'][$cat1][$cat]/$val['data']['statistics'][$cat1]['battles'],2); } else { echo '0'; } ?>
                            </td>
                            <td class='w<?=$cat1?>'>
                            <?php echo $val['data']['statistics'][$cat1][$cat]; ?>
                            </td>
                       <?php }
                       }} ?>
                </tr>
                <?php } ?>
        </tbody>  
    </table>
</div>
<? unset($perform); unset($cat); unset($cat1); unset($name); unset($val); unset($eff_result);?>